|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
CLC_INTERFACE Struct Reference
MPLABX MCC Melody Code Generator » CLC Driver

Structure containing the function pointers of CLC driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/clc/clc_interface.h>`

Collaboration diagram for CLC_INTERFACE:

## Data Fields
void(* | Initialize )(void)
| Pointer to CLCx_Initialize e.g. CLC1_Initialize.
void(* | Deinitialize )(void)
| Pointer to CLCx_Deinitialize e.g. CLC1_Deinitialize.
void(* | Enable )(void)
| Pointer to CLCx_Enable e.g. CLC1_Enable.
void(* | Disable )(void)
| Pointer to CLCx_Disable e.g. CLC1_Disable.
bool(* | OutputStatusGet )(void)
| Pointer to CLCx_OutputStatusGet e.g. CLC1_OutputStatusGet.
void(* | EdgeCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CLCx_EdgeCallbackRegister e.g. CLC1_EdgeCallbackRegister.
void(* | PositiveEdgeCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CLCx_PositiveEdgeCallbackRegister e.g. CLC1_PositiveEdgeCallbackRegister.
void(* | NegativeEdgeCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CLCx_NegativeEdgeCallbackRegister e.g. CLC1_NegativeEdgeCallbackRegister.
void(* | Tasks )(void)
| Pointer to CLCx_Tasks e.g. CLC1_Tasks (Supported only in polling mode)

## Detailed Description

Definition at line 51 of file clc_interface.h.

## Field Documentation

## ◆ Deinitialize

void(* Deinitialize) (void)

Definition at line 56 of file clc_interface.h.

## ◆ Disable

void(* Disable) (void)

Definition at line 62 of file clc_interface.h.

## ◆ EdgeCallbackRegister

void(* EdgeCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 68 of file clc_interface.h.

## ◆ Enable

void(* Enable) (void)

Definition at line 59 of file clc_interface.h.

## ◆ Initialize

void(* Initialize) (void)

Definition at line 53 of file clc_interface.h.

## ◆ NegativeEdgeCallbackRegister

void(* NegativeEdgeCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 74 of file clc_interface.h.

## ◆ OutputStatusGet

bool(* OutputStatusGet) (void)

Definition at line 65 of file clc_interface.h.

## ◆ PositiveEdgeCallbackRegister

void(* PositiveEdgeCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 71 of file clc_interface.h.

## ◆ Tasks

void(* Tasks) (void)

Definition at line 77 of file clc_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/clc/clc_interface.h